/* Основной стиль формы */
body {
  font-family: 'Inter',sans-serif;
  padding: 20px;
  max-width: 600px;
  margin: auto;
  background-color: #ffffff;
}

/* Заголовок */
h2 {
  text-align: center;
  color: #333;
  font-size: 22px;
  font-weight: bold;
}

/* Контейнер для полей формы */
.form-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

/* Метки (label) */
label {
  font-weight: bold;
  font-size: 13px;
  color: #333;
}

/* Стили для селектов и инпутов */
select, input {
  width: 100%;
  padding: 6px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 16px;
  transition: 0.3s ease-in-out;
  background-color: #fdfdfd;
  'Inter',font-family: sans-serif;
  margin-bottom: 10px;
  margin-top: 6px;
}

/* При фокусе */
select:focus, input:focus {
  border-color: #E91E63;
  outline: none;
  box-shadow: 0px 0px 5px rgba(233, 30, 99, 0.5);
}

/* Кнопка "Рассчитать" */
button {
  width: 100%;
  padding: 12px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  border: none;
  border-radius: 5px;
  background-color: #E91E63;
  color: white;
  transition: 0.3s ease-in-out;
  margin-bottom: 20px;
}

/* Эффект наведения */
button:hover {
  background-color: #C2185B;
}

.copied-badge {
  display: inline-block;
  margin-left: 8px;
  color: green;
  font-size: 14px;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.copied-badge.visible {
  opacity: 1;
}

.copyable {
  cursor: pointer;
  display: block;
}
.rules-box {
  margin: 20px 0;
  padding: 15px;
  border: 2px solid #ccc;
  border-radius: 8px;
  background: #f9f9f9;
  font-size: 14px;
}
.rules-box h3 {
  margin-top: 0;
  font-size: 16px;
  color: #333;
}
.rules-box ul {
  margin: 0;
  padding-left: 20px;
}
.rules-box li {
  margin-bottom: 6px;
}